Subject: bug#26140: [PATCH 7/7] gnu: obnam: Enable tests.

From: Arun Isaac <[email-masked]>
Date: Sat, 18 Mar 2017 02:56:54 +0530

> +         (replace 'check
> +                  (lambda _
> +                    (substitute* "obnamlib/vfs_local_tests.py"
> +                      ;; Check for the nobody user instead of root
> +                      (("self.fs.get_username\\(0\\), 'root'")
> +                       "self.fs.get_username(65534), 'nobody'")
> +                      ;; Disable tests checking for root group
> +                      (("self.fs.get_groupname\\(0\\)") "'root'"))
> +                    (substitute* "obnamlib/vfs_local.py"
> +                      ;; Don't cover get_groupname function
> +                      (("def get_groupname\\(self, gid\\):")
> +                       "def get_groupname(self, gid):  # pragma: no cover"))

In the build environment, is there a "nogroup" group or some other
standard group just like there is a "nobody" user? If such a group
exists, I could check for that group instead of disabling the group
checking tests altogether.